TableDisplayStringFormat (base API)
Date: 2019-04-05

com.twosigma.beakerx.table.format

## Class TableDisplayStringFormat

- java.lang.Object
- - com.twosigma.beakerx.table.format.TableDisplayStringFormat

- Direct Known Subclasses:
    DecimalStringFormat, HTMLStringFormat, ImageStringFormat, TimeStringFormat, ValueStringFormat

      public class TableDisplayStringFormat
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableDisplayStringFormat()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TableDisplayStringFormat` | `getDecimalFormat(int minDecimals, int maxDecimals)`
    `static TableDisplayStringFormat` | `getHTMLFormat()`
    `static TableDisplayStringFormat` | `getHTMLFormat(int width)`
    `static TableDisplayStringFormat` | `getImageFormat()`
    `static TableDisplayStringFormat` | `getImageFormat(int width)`
    `static TimeStringFormat` | `getTimeFormat()`
    `static TimeStringFormat` | `getTimeFormat(boolean humanFriendly)`
    `static TimeStringFormat` | `getTimeFormat(java.util.concurrent.TimeUnit unit)`
    `static TimeStringFormat` | `getTimeFormat(java.util.concurrent.TimeUnit unit, boolean humanFriendly)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableDisplayStringFormat

          public TableDisplayStringFormat()

  - ### Method Detail

    - #### getDecimalFormat

          public static TableDisplayStringFormat getDecimalFormat(int minDecimals,
                                                                  int maxDecimals)

    - #### getHTMLFormat

          public static TableDisplayStringFormat getHTMLFormat()

    - #### getHTMLFormat

          public static TableDisplayStringFormat getHTMLFormat(int width)

    - #### getTimeFormat

          public static TimeStringFormat getTimeFormat()

    - #### getTimeFormat

          public static TimeStringFormat getTimeFormat(boolean humanFriendly)

    - #### getTimeFormat

          public static TimeStringFormat getTimeFormat(java.util.concurrent.TimeUnit unit)

    - #### getTimeFormat

          public static TimeStringFormat getTimeFormat(java.util.concurrent.TimeUnit unit,
                                                       boolean humanFriendly)

    - #### getImageFormat

          public static TableDisplayStringFormat getImageFormat()

    - #### getImageFormat

          public static TableDisplayStringFormat getImageFormat(int width)